Page MenuHomePhabricator

Decommission db2047.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2047.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2047
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #1 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049
operations/dns : masterwmnet: Remove production DNS entries for db2047
operations/puppet : productionsite.pp: Remove db2047
operations/puppet : productionmariadb: Decommission db2047
operations/mediawiki-config : masterdb-eqiad,db-codfw.php: Remove db2047 from config
operations/puppet : productiondb2047: Disable notifications

Event Timeline

Marostegui triaged this task as Medium priority.Sep 3 2019, 6:31 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 534010 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2047: Disable notifications

https://gerrit.wikimedia.org/r/534010

Change 534010 merged by Marostegui:
[operations/puppet@production] db2047: Disable notifications

https://gerrit.wikimedia.org/r/534010

Marostegui updated the task description. (Show Details)Sep 3 2019, 6:36 AM

Change 534294 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2047 from config

https://gerrit.wikimedia.org/r/534294

Change 534294 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2047 from config

https://gerrit.wikimedia.org/r/534294

Mentioned in SAL (#wikimedia-operations) [2019-09-04T07:49:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2047 from config T231852 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-09-04T07:50:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2047 from config T231852 (duration: 00m 54s)

Change 535203 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2047

https://gerrit.wikimedia.org/r/535203

Change 535203 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2047

https://gerrit.wikimedia.org/r/535203

Marostegui updated the task description. (Show Details)Sep 10 2019, 5:30 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-10T05:35:09Z] <marostegui> Remove db2047 from tendril and zarcillo - T231852

Mentioned in SAL (#wikimedia-operations) [2019-09-10T05:35:48Z] <marostegui> Stop MySQL on db2047 T231852

Marostegui reassigned this task from Marostegui to RobH.Sep 10 2019, 5:36 AM
Marostegui edited projects, added ops-codfw, decommission, DC-Ops; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to Ready for Decommission on the decommission board.

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2047.codfw.wmnet

  • db2047.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539507 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove db2047

https://gerrit.wikimedia.org/r/539507

Change 539508 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db2047

https://gerrit.wikimedia.org/r/539508

Change 539507 merged by Marostegui:
[operations/puppet@production] site.pp: Remove db2047

https://gerrit.wikimedia.org/r/539507

Change 539508 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db2047

https://gerrit.wikimedia.org/r/539508

Marostegui reassigned this task from RobH to Papaul.Sep 27 2019, 10:38 AM
Marostegui updated the task description. (Show Details)
Marostegui removed a project: Patch-For-Review.
Marostegui added a subscriber: Papaul.

Host ready for @Papaul for onsite steps and switch disablement

papaul@asw-c-codfw# show | compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-6/0/16;
[edit interfaces interface-range disabled]
     member ge-6/0/10 { ... }
+    member ge-6/0/16;
[edit interfaces]
-   ge-6/0/16 {
-       description db2047;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 27 2019, 1:51 PM
Papaul updated the task description. (Show Details)Sep 30 2019, 3:57 PM
Papaul updated the task description. (Show Details)Oct 1 2019, 1:04 AM

Change 540230 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Change 540230 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Papaul closed this task as Resolved.Oct 1 2019, 10:52 PM
Papaul updated the task description. (Show Details)

Complete

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks